Переполнение буфера в ExtractNow при обработке ACE архивов.

Дата публикации:
03.05.2006
Всего просмотров:
924
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ExtractNow 3.x
Уязвимые версии: ExtractNow 3.60, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в библиотеке UNACEV2.DLL при обработке ACE архивов. Удаленный пользователь может с помощью специально сформированного ACE архива вызвать переполнение стека и выполнить произвольный код на целевой системе. Уязвимость относится к:
Выполнение произвольного кода в ALZip

URL производителя: www.extractnow.com

Решение: Установите последнюю версию (4.15) с сайта производителя.

или введите имя

CAPTCHA